# $Revision: 1.17.2.3 $, $Date: 2006/08/06 21:13:18 $
Summary:	C++ wrappers for GConf
Summary(pl):	Interfejsy C++ dla GConfa
Name:		gconfmm
Version:	2.14.2
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/gconfmm/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	adcaeb572c466c1395b35d0271ac6438
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glibmm-devel >= 2.10.0
BuildRequires:	gtkmm-devel >= 2.8.0
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	pkgconfig
Requires:	GConf2 >= 2.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for GConf. All classes are in the Gnome::Conf namespace.

%description -l pl
Interfejsy C++ dla GConfa. Wszystkie klasy s w przestrzeni nazw
Gnome::Conf.

%package devel
Summary:	Devel files for gconfmm
Summary(pl):	Pliki nagwkowe dla gconfmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2-devel >= 2.14.0
Requires:	glibmm-devel >= 2.10.0

%description devel
Devel files for gconfmm.

%description devel -l pl
Pliki nagwkowe dla gconfmm.

%package static
Summary:	Static gconfmm library
Summary(pl):	Statyczna biblioteka gconfmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gconfmm library.

%description static -l pl
Statyczna biblioteka gconfmm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgconfmm-2.6.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgconfmm-2.6.so
%{_libdir}/libgconfmm-2.6.la
%{_libdir}/%{name}-*
%{_includedir}/%{name}-2.6
%{_pkgconfigdir}/%{name}-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgconfmm-2.6.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gconfmm.spec,v $
Revision 1.17.2.3  2006/08/06 21:13:18  freetz
- 2.14.2, fixed bogus R:

Revision 1.17.2.2  2006/05/18 20:39:29  baggins
- release 2
- strict reqs

Revision 1.17.2.1  2006/05/15 13:15:09  baggins
- merged from HEAD

Revision 1.18  2006/03/16 17:13:09  freetz
- 2.14.0

Revision 1.17  2005/09/09 12:49:36  freetz
- 2.12.0, bumped BRs

Revision 1.16  2005/03/11 21:38:32  grzegol
- merged from DEVEL and updated to 2.10.0

Revision 1.15.2.1  2005/02/10 20:58:32  grzegol
- updated to 2.9.2

Revision 1.15  2004/12/01 22:57:18  grzegol
- updated to 2.8.1

Revision 1.14  2004/09/18 09:55:34  aflinta
- up to version 2.8.0

Revision 1.13  2004/04/30 14:08:20  grzegol
- updated to 2.6.1

Revision 1.12  2004/04/19 20:07:04  qboosh
- libtoolize and co. (fixes build on amd64); release 2

Revision 1.11  2004/04/12 22:26:31  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.10  2004/03/10 16:15:44  andree
- copy config.sub

Revision 1.9.2.6  2004/03/31 17:59:04  grzegol
- rel. 3 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

Revision 1.9.2.5  2004/03/15 19:59:48  grzegol
- rel. 2 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

Revision 1.9.2.4  2004/02/14 17:47:58  grzegol
- updated to 2.5.1

Revision 1.9.2.3  2004/02/07 15:31:13  grzegol
- rel. 3 to rebuild with glibmm-2.3.4/gtkmm-2.3.3

Revision 1.9.2.2  2004/01/24 15:29:10  grzegol
- rel. 2 to rebuild with glibmm-2.3.3/gtkmm-2.3.2

Revision 1.9.2.1  2003/12/29 16:10:53  grzegol
- updated to 2.5.0

Revision 1.9  2003/10/25 09:06:44  tiwek
- added missing BR

Revision 1.8  2003/10/09 13:19:09  qboosh
- BR: pkgconfig

Revision 1.7  2003/10/09 10:29:24  qboosh
- s/gtkmm-devel/gtkmm-glib-devel/, added -devel deps
-  added -static package and some docs
- release 3

Revision 1.6  2003/08/01 11:58:48  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.5  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:47:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/10 00:38:28  grzegol
- fixed %%files

Revision 1.2  2003/04/08 21:09:08  qboosh
- pl description

Revision 1.1  2003/04/08 19:49:33  aflinta
- PLD initial release
